unordered_set File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_allocator_traits_is_always_equal
#define | __glibcxx_want_erase_if
#define | __glibcxx_want_generic_unordered_lookup
#define | __glibcxx_want_node_extract
#define | __glibcxx_want_nonmember_container_access
#define | _GLIBCXX_UNORDERED_SET

## Typedefs

template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_multiset
template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_set

## Functions

template<typename _Key, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
unordered_multiset< _Key, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_multiset< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)
template<typename _Key, typename _Hash, typename _CPred, typename _Alloc, typename _Predicate>
unordered_set< _Key, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_set< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file unordered_set.

## Macro Definition Documentation

## __glibcxx_want_allocator_traits_is_always_equal

#define __glibcxx_want_allocator_traits_is_always_equal

Definition at line 49 of file unordered_set.

## __glibcxx_want_erase_if

#define __glibcxx_want_erase_if

Definition at line 50 of file unordered_set.

## __glibcxx_want_generic_unordered_lookup

#define __glibcxx_want_generic_unordered_lookup

Definition at line 51 of file unordered_set.

## __glibcxx_want_node_extract

#define __glibcxx_want_node_extract

Definition at line 52 of file unordered_set.

## __glibcxx_want_nonmember_container_access

#define __glibcxx_want_nonmember_container_access

Definition at line 53 of file unordered_set.

## _GLIBCXX_UNORDERED_SET

#define _GLIBCXX_UNORDERED_SET

Definition at line 30 of file unordered_set.

## Typedef Documentation

## unordered_multiset

template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_multiset

Definition at line 69 of file unordered_set.

## unordered_set

template<typename _Key, typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>

using std::pmr::unordered_set

Definition at line 65 of file unordered_set.